# Class InvalidParameterValueException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
InvalidParameterValueException

All Implemented Interfaces:
  `Serializable`

@UML(identifier="GC_InvalidParameterValue", specification=OGC_01004) public class InvalidParameterValueException extends IllegalArgumentException
Thrown by `ParameterValue` setter methods when they are given an invalid value.

Since:
  1.0
See Also:
  - `ParameterValue​.setValue(int)`
  - `ParameterValue​.setValue(double)`
  - `ParameterValue​.setValue(Object)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidParameterValueException(String message, String parameterName, double value)`
  Creates an exception with the specified invalid value as a floating point.
  `InvalidParameterValueException(String message, String parameterName, int value)`
  Creates an exception with the specified invalid value as an integer.
  `InvalidParameterValueException(String message, String parameterName, Object value)`
  Creates an exception with the specified invalid value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParameterName()`
  Returns the parameter name.
  `Object`
  `getValue()`
  Returns the invalid parameter value.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidParameterValueException

    public InvalidParameterValueException(String message, String parameterName, Object value)
    Creates an exception with the specified invalid value.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `parameterName` - The parameter name.
      `value` - The invalid parameter value.

  - ### InvalidParameterValueException

    public InvalidParameterValueException(String message, String parameterName, double value)
    Creates an exception with the specified invalid value as a floating point.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `parameterName` - The parameter name.
      `value` - The invalid parameter value.

  - ### InvalidParameterValueException

    public InvalidParameterValueException(String message, String parameterName, int value)
    Creates an exception with the specified invalid value as an integer.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `parameterName` - The parameter name.
      `value` - The invalid parameter value.

- ## Method Details

  - ### getParameterName

    public String getParameterName()
    Returns the parameter name.
    Returns:
      The parameter name.

  - ### getValue

    public Object getValue()
    Returns the invalid parameter value.
    Returns:
      The invalid parameter value.